Bug 909228 - The installer doesn't allow for encryption setup of individual LVs
The installer doesn't allow for encryption setup of individual LVs
Status: CLOSED DUPLICATE of bug 880876
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 08:45 EST by Máirín Duffy
Modified: 2013-05-29 21:15 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-19.22-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 21:12:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2013-02-08 08:45:00 EST
Description of problem:

From Peter Larsen 2013-02-07 21:24:03 EST -

The installer doesn't allow for encryption setup of individual LVs. While the checkbox is listed for each LV, the encryption covers the whole PV - not the individual LV.  I have not found a work-around to this. If I launch the installer, manually setup partitions/filesystems/encryptions I cannot get the installer to read the current setup and assign mount-points. 

Major issues:
1. Reading existing setup. Even existing VG names are not listed.
2. Being able to simply assign mount points and a potential "reformat" on existing structure seems to be completely missing in the interface.
3. Encryption is only available on the PV level

Minor issues:
1. The password complexity check seems off. Even non-words and random letters seems to only get 1 or 2 bars of "complexity". Setting encryption password does not allow you to continue if the password is deemed too simple - this should be corrected.
2. Max size of a new install's VG is calculated as a sum of all mount points. As a result, the VG does not allocate the whole disk and allow for later additions of space.  If you start with a 256GB HDD, and do a default install, you end up with about 150GB of unallocated, unpartitioned space. The VG space should either be specified separately, or default to take up all disk-space.  Having an advanced option where VG space could be managed would be best.

(from https://bugzilla.redhat.com/show_bug.cgi?id=892269#c17)
Comment 1 Fedora End Of Life 2013-04-03 10:35:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Adam Williamson 2013-05-29 21:12:40 EDT
This is definitely present since 19.22. Please test it out and file new bugs if you find problems. Thanks!
Comment 3 Adam Williamson 2013-05-29 21:15:23 EDT

*** This bug has been marked as a duplicate of bug 880876 ***

Note You need to log in before you can comment on or make changes to this bug.